/*
 * Enhydra Java Application Server Project
 * 
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site (http://www.enhydra.org/).
 * 
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See 
 * the License for the specific terms governing rights and limitations
 * under the License.
 * 
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 * 
 * Contributor(s):
 * 
 * $Id: Renderer.java,v 1.4 2001/09/25 19:05:28 cryd0221 Exp $
 */
package org.enhydra.barracuda.core.comp.renderer;

import java.util.*;
import org.w3c.dom.*;

import org.enhydra.barracuda.core.comp.*;

/**
 * This interface defines the methods needed to implement a Renderer.
 */
public interface Renderer {

    public Node createDefaultNode(Document doc, ViewContext vc) throws UnsupportedFormatException;
    public Node addChildToParent(Node parent, Node child) throws InvalidNodeException;
    public void renderComponent(BComponent comp, View view, ViewContext vc) throws RenderException;
    
}