/*
 * Enhydra Java Application Server Project
 * 
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site (http://www.enhydra.org/).
 * 
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See 
 * the License for the specific terms governing rights and limitations
 * under the License.
 * 
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 * 
 * Contributor(s):
 * 
 * $Id: UnhandledEventException.java,v 1.4 2001/09/25 19:05:29 cryd0221 Exp $
 */
package org.enhydra.barracuda.core.event;

/**
 * This class defines a UnhandledEventException...it gets
 * thrown when there there are event handlers but none of them
 * actually handle it
 */
public class UnhandledEventException extends EventException {
    /**
     * @clientCardinality 1 
     */
    EventContext context = null;

    /**
     * The public contructor for UnhandledEventException
     *
     * @param s a String describing the exception
     * @param context the EventContext associated with this exception
     */
    public UnhandledEventException (String s, EventContext icontext) {
        super(s);
        context = icontext;
    }

    /**
     * Get the dispatch queue associated with this exception
     *
     * @return the EventContext associated with this exception
     */    
    public EventContext getEventContext() {
        return context;
    }
}
