/*
 * Enhydra Java Application Server Project
 *
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site ( http://www.enhydra.org/ ).
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
 * the License for the specific terms governing rights and limitations
 * under the License.
 *
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 *
 * Contributor(s):
 *
 * $Id: DateUtils.java,v 1.1 2001/08/16 23:30:22 robertl Exp $
 */
package org.enhydra.barracuda.core.util;

// import java specifics
import java.util.Calendar;

/**
 * class holding some useful date utilities
 */
public class DateUtils {

  //===========================================================================
  // CONSTRUCTORS
  //===========================================================================

  //===========================================================================
  // QUERY METHODS
  //===========================================================================

  //===========================================================================
  // MUTATOR METHODS
  //===========================================================================

  //===========================================================================
  // HELPER METHODS
  //===========================================================================

	public static Calendar getFirstDateToday() {
		return DateUtils.getFirstDate( 0 );
	}

	public static Calendar getLastDateToday() {
		return DateUtils.getLastDate( 0 );
	}

	public static Calendar getFirstDateTomorrow() {
		return DateUtils.getFirstDate( 1 );
	}

	public static Calendar getLastDateTomorrow() {
		return DateUtils.getLastDate( 1 );
	}

	public static Calendar getFirstDateYesterday() {
		return DateUtils.getFirstDate( -1 );
	}

	public static Calendar getLastDateYesterday() {
		return DateUtils.getLastDate( -1 );
	}

	public static Calendar getFirstDate( int theOffsetInDays ) {
		Calendar date = Calendar.getInstance();
		date.set( Calendar.MILLISECOND, 0 );
		date.set( Calendar.SECOND, 0 );
		date.set( Calendar.MINUTE, 0 );
		date.set( Calendar.HOUR_OF_DAY, 0 );
    date.add( Calendar.DATE, theOffsetInDays );
		return date;
	}

	public static Calendar getLastDate( int theOffsetInDays ) {
		Calendar date = DateUtils.getFirstDate( theOffsetInDays + 1 );
		date.add( Calendar.MILLISECOND, -1 );
		return date;
	}

  //===========================================================================
  // DATA MEMBERS
  //===========================================================================

  //===========================================================================
  // STATIC DATA MEMBERS
  //===========================================================================

	// setup the constant for number of seconds in a day
	public static final long SECONDS_IN_DAY = 24*60*60;

	// setup the constant for number of milliseconds in a day
	public static final long MILLISECONDS_IN_DAY = SECONDS_IN_DAY*1000;

}
