/*
 * Enhydra Java Application Server Project
 * 
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site (http://www.enhydra.org/).
 * 
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See 
 * the License for the specific terms governing rights and limitations
 * under the License.
 * 
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 * 
 * Contributor(s):
 * 
 * $Id: SampleApplicationGateway.java,v 1.7 2001/09/25 19:05:30 cryd0221 Exp $
 */
package org.enhydra.barracuda.examples;

import java.io.*;
import java.util.*;
import java.net.*;
import javax.servlet.*;
import javax.servlet.http.*;

import org.enhydra.barracuda.core.event.*;
import org.enhydra.barracuda.core.util.srv.*;
//import org.enhydra.barracuda.examples.ex1.*;
//import org.enhydra.barracuda.examples.ex2.*;
import org.enhydra.barracuda.examples.ex3.*;
//import org.enhydra.barracuda.examples.ex1.LocalUtilities;

/**
 * <p>This is the gateway for the EventHandler7 apps. Right now,
 * this is just the Simple Login app (LoginGateway). If there
 * were other apps that needed to use the gateway, we'd add them 
 * here as well.
 *
 * <p>You might want to look at the <a href="simple_login.gif">UML Class 
 * diagram for the Simple Login app.</a> or check out 
 * <a href="simple_login_app.html">Understanding the Simple Login App</a>
 */
public class SampleApplicationGateway extends ApplicationGateway {

    //-------------------- ApplicationGateway --------------------
    /**
     * Perform any local initialization (this is where you should
     * add any other known EventGateways)
     */
    public void initializeLocal(ServletConfig config) {
        //specify the event gateways
        this.specifyEventGateways(new GlobalUtilities());
//        this.specifyEventGateways(new LoginGateway());
        this.specifyEventGateways(new TestScreen());
    }
}

