/*
 * Enhydra Java Application Server Project
 * 
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site ( http://www.enhydra.org/ ).
 * 
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See 
 * the License for the specific terms governing rights and limitations
 * under the License.
 * 
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 * 
 * Contributor(s):
 * 
 * $Id: LoginGateway.java,v 1.5 2001/08/24 20:43:40 cryd0221 Exp $
 */
package org.enhydra.barracuda.examples.ex1;

import java.io.*;
import java.util.*;
import java.net.*;
import javax.servlet.*;
import javax.servlet.http.*;

import org.enhydra.barracuda.core.event.*;


/**
 * This is the local event gateway to the Simple Login mini-app.
 * The system consists of 3 main event handling classes: 
 * LoginScreen, MainScreen, and Utilities, along with a 
 * very simple event hierarchy (see class diagram). 
 *
 * Because this is the event gateway for the example, we'll 
 * register all the sub-gateways here.
 */
public class LoginGateway extends DefaultEventGateway {

    //private vars
    private LocalUtilities lnkUtilities;    //added by TJ to show association
    private LoginScreen lnkLoginScreen;        //added by TJ to show association
    private MainScreen lnkMainScreen;        //added by TJ to show association

    /**
     * Public constructor
     */
    public LoginGateway() {
        //specify the event gateways
        this.add(new LocalUtilities());
        this.add(new LoginScreen());
        this.add(new MainScreen());
    }
}

