package org.enhydra.barracuda.tutorials.comp;

import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;

import org.w3c.dom.*;
import org.enhydra.xml.xmlc.*;

import org.enhydra.barracuda.core.comp.*;
import org.enhydra.barracuda.core.comp.helper.*;
import org.enhydra.barracuda.tutorials.xmlc.*;

/**
 * Here's an example of HelloWorld using the BTemplate
 * component
 */
public class HelloWorld1a extends ComponentGateway {

    //xmlc factory (ok as static because its threadsafe)
     private static XMLCFactory xmlcFactory = null;

    //-------------------- ComponentGateway ----------------------
    /**
     * Handle the default HttpRequest. 
     */
    public Document handleDefault (BComponent root, ViewContext vc, HttpServletRequest req, HttpServletResponse resp) {
        //load the DOM object
        if (xmlcFactory==null) xmlcFactory = new XMLCStdFactory(this.getClass().getClassLoader(), new StreamXMLCLogger());
        XMLObject page = xmlcFactory.create(HelloWorld1HTML.class);

        //find the node we're after
        Node node = page.getDocument().getElementById("HelloWorld");
        
        //create a view on the node
        TemplateView tv = new DefaultTemplateView(node);

        //create the model for the component
        TemplateModel tm = new DefaultPropertiesModel("org.enhydra.barracuda.tutorials.comp.HelloWorld");

        //create the component and bind it to the view and the model
        BTemplate templateComp = new BTemplate(tm, tv);

        //add the component to the root
        root.addChild(templateComp);
    
        //return the page
        return page;
    }
}
